Bug 979674 - Review Request: perl-File-Find-Object-Rule - Alternative interface to File::Find::Object
Review Request: perl-File-Find-Object-Rule - Alternative interface to File::F...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 979673
Blocks: 979676
  Show dependency treegraph
 
Reported: 2013-06-29 06:20 EDT by Christopher Meng
Modified: 2014-06-19 16:52 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-File-Find-Object-Rule-0.0303-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 23:44:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-06-29 06:20:15 EDT
Spec URL: http://cicku.me/perl-File-Find-Object-Rule.spec
SRPM URL: http://cicku.me/perl-File-Find-Object-Rule-0.0303-1.fc20.src.rpm
Description: File::Find::Object::Rule is a friendlier interface to File::Find::Object. It allows you to build rules which specify the desired files and directories.
Fedora Account System Username: cicku
Comment 1 Parag AN(पराग) 2013-07-11 01:15:52 EDT
Review:

+ mock build is successful for f20

- rpmlint output on rpms gave
perl-File-Find-Object-Rule.noarch: E: wrong-script-interpreter /usr/share/doc/perl-File-Find-Object-Rule-0.0303/scripts/findorule perl
2 packages and 0 specfiles checked; 1 errors, 0 warnings.


+ Source verified with upstream as (sha256sum)
srpm tarball     : 9957f61dbbfeafc57a6a7525d693a17f1135d5ab0eefcf7eb461b002ff355fd9
upstream tarball : 9957f61dbbfeafc57a6a7525d693a17f1135d5ab0eefcf7eb461b002ff355fd9

+ License "GPL+ or Artistic" is valid and included in source files.

+ rest follows packaging guidelines

+ make test is successful with output
All tests successful.
Files=6, Tests=53,  1 wallclock secs ( 0.04 usr  0.01 sys +  0.44 cusr  0.05 csys =  0.54 CPU)

+ Package perl-File-Find-Object-Rule-0.0303-1.fc20
Provides: perl(File::Find::Object::Rule) = 0.0303 perl-File-Find-Object-Rule = 0.0303-1.fc20

Requires: /usr/bin/perl perl(Carp) perl(Cwd) perl(File::Basename) perl(File::Find::Object) perl(File::Find::Object::Rule) perl(File::Spec) perl(File::Spec::Functions) perl(Number::Compare) perl(Text::Glob) perl(strict) perl(vars) perl(warnings)

suggestions:
1) you may want to remove Requires: from spec to allow rpm to generate automatically needed dependencies.

APPROVED
Comment 2 Christopher Meng 2013-07-11 01:19:45 EDT
New Package SCM Request
=======================
Package Name: perl-File-Find-Object-Rule
Short Description: Alternative interface to File::Find::Object
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 3 Parag AN(पराग) 2013-07-11 05:40:29 EDT
And yes fix the only rpmlint error as given its solution at

https://fedoraproject.org/wiki/Perl/Tips?rd=PackagingTips/Perl#wrong-script-interpreter
Comment 4 Gwyn Ciesla 2013-07-11 06:50:30 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-07-15 00:14:20 EDT
perl-File-Find-Object-Rule-0.0303-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-File-Find-Object-Rule-0.0303-1.fc19
Comment 6 Fedora Update System 2013-07-15 00:17:24 EDT
perl-File-Find-Object-Rule-0.0303-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-File-Find-Object-Rule-0.0303-1.fc18
Comment 7 Fedora Update System 2013-07-15 21:39:30 EDT
perl-File-Find-Object-Rule-0.0303-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 8 Fedora Update System 2013-07-23 23:44:10 EDT
perl-File-Find-Object-Rule-0.0303-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 9 Fedora Update System 2013-07-23 23:45:32 EDT
perl-File-Find-Object-Rule-0.0303-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Christopher Meng 2014-06-18 13:01:52 EDT
Package Change Request
======================
Package Name: perl-File-Find-Object-Rule
New Branches: epel7
Owners: cicku
Comment 11 Kevin Fenzi 2014-06-19 16:52:44 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.